List data sources
Retrieve all knowledge base data sources subscribed to a specific AI Agent.
GET
/knowledge-base/data-sourcesRequest parameters
Section titled “Request parameters”Query
agent_idstringrequiredThe UUID of the agent whose knowledge base sources you want to retrieve.
Headers
AuthorizationstringrequiredYour API Key formatted as Bearer sk_live_…
Response
Section titled “Response”dataarrayA list of knowledge source objects.
idstringThe unique UUID of the data source.
typestringThe type of data source: link or text.
statusstringProcessing status: pending, processing, processed, or error.
created_atstringThe ISO 8601 timestamp of when the source was added.
curl -X GET "https://app.picobot.dev/api/knowledge-base/data-sources?agent_id=91981020-f783-4544-ad96-39857ac589cb" \ -H "Authorization: Bearer <token>"fetch('https://app.picobot.dev/api/knowledge-base/data-sources?agent_id=91981020-f783-4544-ad96-39857ac589cb', { headers: { 'Authorization': 'Bearer <token>' }}).then(res => res.json()).then(console.log);import requests
headers = { "Authorization": "Bearer <token>" }response = requests.get( "https://app.picobot.dev/api/knowledge-base/data-sources", params={"agent_id": "91981020-f783-4544-ad96-39857ac589cb"}, headers=headers)print(response.json()){ "data": [ { "id": "ds-0001-0000-0000-0000-000000000001", "type": "link", "url": "https://picobot.dev", "status": "processed", "created_at": "2024-06-14T10:00:00+00:00" }, { "id": "ds-0002-0000-0000-0000-000000000002", "type": "text", "title": "Refund Policy", "status": "processed", "created_at": "2024-06-13T08:30:00+00:00" } ]}